__gnu_cxx::__pool_alloc(3)

NAME
__gnu_cxx::__pool_alloc -

SYNOPSIS

Inherits __pool_alloc_base.

Detailed Description

  template<typename _Tp> class __gnu_cxx::__pool_alloc< _Tp >

Definition at line 124 of file pool_allocator.h.

  Public Types
typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef ptrdiff_t difference_type
typedef _Tp * pointer
typedef _Tp & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions
template<typename _Tp1> __pool_alloc (const __pool_alloc< _Tp1 > &) throw ()
__pool_alloc (const __pool_alloc &) throw ()
__pool_alloc () throw ()
const_pointer address (const_reference __x) const
pointer address (reference __x) const
pointer allocate (size_type __n, const void *=0)
void construct (pointer __p, const _Tp &__val)
void deallocate (pointer __p, size_type __n)
void destroy (pointer __p)
size_type max_size () const throw ()
~__pool_alloc () throw ()

  Classes
struct rebind

Author

Generated automatically by Doxygen for libstdc++ from the source code.